<div class="clearfix"></div>
<div class="UserProfile">
  <div class="container">
    <div class="row">
      <div class="col-xs-12">
        <div class="usersettingtitle">
          <h2>User Profile</h2>
        </div>

        <app-generic-content-loader *ngIf="isLoadingData"></app-generic-content-loader>
        <div *ngIf="!isLoadingData">
          <div class="default-tabs">
            <ul class="nav nav-tabs usersettingtabs">
              <li class="active"><a data-toggle="tab" href="#Psetting"> Personnel Setting</a></li>
              <li><a data-toggle="tab" href="#pastwork">Current Work</a></li>
              <li><a data-toggle="tab" href="#currentwork">Past Work</a></li>
            </ul>
          </div>
          <div class="tab-content usersettingcontent">
            <div id="Psetting" class="tab-pane fade in active">

              <div class="maincredentialsarea full-width-container">
                <div class="clearfix"></div>

                <div class="leftmemberarea">
                  <div class="membertitles">
                    <h2>Customer Profile</h2>
                  </div>

                  <form class="formwrap" [formGroup]="profileForm" (ngSubmit)="saveProfile()">
                    <div class="row">
                      <div class="col-xs-12">
                        <div class="profile-summary marginbottom20 margintop20 clearfix text-center">
                          <div class="profile-img-user">
                            <img src="{{(userData?.profileImage) || 'assets/images/avatar.png'}}"
                                 onError="this.src='assets/images/avatar.png';" alt="">
                            <span class="upload-photo"><input type="file" (change)="uploadProfileImage($event)">upload Photo</span>
                            <h5 *ngIf="uploadingImage">Please wait, Uploading...</h5>
                          </div>
                        </div>
                      </div>
                      <div class="col-sm-4">
                        <div class="form-element">
                          <label for="">First Name</label>
                          <input type="text" class="form-control" placeholder="Enter first name"
                                 formControlName="firstName">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.firstName.errors?.required">Please enter first name.</div>
                          </div>
                        </div>
                      </div>

                      <div class="col-sm-4">
                        <div class="form-element">
                          <label for="">Last Name</label>
                          <input type="text" class="form-control" placeholder="Enter last name"
                                 formControlName="lastName">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.lastName.errors?.required">Please enter last name.</div>
                          </div>
                        </div>

                      </div>

                      <div class="col-sm-4">
                        <div class="form-element">
                          <label for="">Email</label>
                          <input type="text" class="form-control" placeholder="Enter enter"
                                 formControlName="email">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.email.errors?.required">Please enter email address.</div>
                            <div *ngIf="fp.email.errors?.email">Email must be a valid email address.</div>
                          </div>
                        </div>
                      </div>

                      <div class="col-sm-4">
                        <div class="form-element">
                          <label for="">Phone Number</label>
                          <input type="email" class="form-control" placeholder="+12345678900"
                                 formControlName="phoneNumber" (keyup)="validatePhoneNumber(profileForm.value.phoneNumber)">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.phoneNumber.errors?.required">Please enter phone number.</div>
                            <div *ngIf="!fp.phoneNumber.errors?.required && !isValidPhoneNumber">Please enter a valid phone number.</div>
                          </div>
                        </div>
                      </div>

                      <div class="col-sm-4">
                        <div class="form-element">
                          <label>Apartment No</label>
                          <input type="text" class="form-control" placeholder="Apartment No" formControlName="aptNumber">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.aptNumber.errors?.required">Please enter your apartment number.</div>
                          </div>
                        </div>
                      </div>

                      <div class="col-sm-4">
                        <div class="form-element">
                          <label>Street Address</label>
                          <input type="text" class="form-control" placeholder="Street Address"
                                 formControlName="streetAddress">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.streetAddress.errors?.required">Please enter your street address.</div>
                          </div>
                        </div>
                      </div>

                      <div class="col-sm-4">
                        <div class="form-element">
                          <label>City</label>
                          <input type="text" class="form-control" placeholder="City" formControlName="city">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.city.errors?.required">Please enter your city.</div>
                          </div>
                        </div>
                      </div>

                      <div class="col-sm-4">
                        <div class="form-element">
                          <label>Province</label>
                          <input type="text" class="form-control" placeholder="Province" formControlName="province">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.province.errors?.required">Please enter your province.</div>
                          </div>
                        </div>
                      </div>

                      <div class="col-sm-4">
                        <div class="form-element">
                          <label>Postal Code</label>
                          <input type="text" class="form-control" placeholder="Postal Code" formControlName="postalCode">
                          <div class="help-block" *ngIf="profileFormSubmit">
                            <div *ngIf="fp.postalCode.errors?.required">Please enter your postal code.</div>
                          </div>
                        </div>
                      </div>


                      <div class="form-element col-md-offset-8 col-md-4 col-sm-6 col-xs-12">
                        <input type="submit" class="form-sumbit-orange margintop20" value="Save">
                      </div>
                    </div>
                  </form>
                </div>
                <div class="clearfix"></div>
              </div>

            </div>
            <div id="pastwork" class="tab-pane fade">
              <div class="row">
                <div class="col-xs-12">
                  <div class="title-heading">
                    <h2 class="orangecolor margintop10">{{currentBookings.length}} past work</h2>
                  </div>
                </div>

                <div class="col-sm-6 col-xs-12" *ngFor="let booking of currentBookings">
                  <div class="shadow_wrap margintop20 marginbottom10 pastworkwrap"
                       [routerLink]="['booking-details/' + booking._id]">
                    <div class="col-sm-2 col-xs-12">
                      <div class="clea-img">
                        <img src="assets/images/dashboard/cleaning-services.png" alt="">
                      </div>
                    </div>
                    <div class="col-xs-12 col-sm-7">
                      <div class="title-heading">
                        <h2>{{booking.serviceName}} service</h2>
                      </div>

                      <div class="row">
                        <div class="col-xs-6">
                          <div class="title-heading">
                          <span class="day-rate-wrap">by
                            <strong> {{booking.contractorDetails.firstName + ' ' + booking.contractorDetails.lastName}}</strong>
                          </span>
                          </div>
                        </div>

                        <!--<div class="col-xs-6">
                          <div class="title-heading">
                            <span class="day-rate-wrap">Rated</span>
                          </div>
                          <div class="stars-wrap">
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 0}"></span>
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 1}"></span>
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 2}"></span>
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 3}"></span>
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 4}"></span>
                          </div>
                        </div>-->
                      </div>
                    </div>
                    <div class="col-xs-12 col-sm-3">
                      <div class="title-heading">
                        <span class="day-rate-wrap">{{formatDate(booking.scheduledTime)}}</span>
                      </div>
                    </div>
                  </div>
                </div>

              </div>
            </div>
            <div id="currentwork" class="tab-pane fade">
              <div class="row">
                <div class="col-xs-12">
                  <div class="title-heading">
                    <h2 class="orangecolor margintop10">{{pastBookings.length}} past work</h2>
                  </div>
                </div>

                <div class="col-sm-6 col-xs-12" *ngFor="let booking of pastBookings">
                  <div class="shadow_wrap margintop20 marginbottom10 pastworkwrap"
                       [routerLink]="['booking-details/' + booking._id]">
                    <div class="col-sm-2 col-xs-12">
                      <div class="clea-img">
                        <img src="assets/images/dashboard/cleaning-services.png" alt="">
                      </div>
                    </div>
                    <div class="col-xs-12 col-sm-7">
                      <div class="title-heading">
                        <h2>{{booking.serviceName}} service</h2>
                      </div>

                      <div class="row">
                        <div class="col-xs-6">
                          <div class="title-heading">
                          <span class="day-rate-wrap">by
                            <strong> {{booking.contractorDetails.firstName + ' ' + booking.contractorDetails.lastName}}</strong>
                          </span>
                          </div>
                        </div>

                        <div class="col-xs-6">
                          <div class="title-heading">
                            <span class="day-rate-wrap">Rated</span>
                          </div>
                          <div class="stars-wrap">
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 0}"></span>
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 1}"></span>
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 2}"></span>
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 3}"></span>
                            <span class="fa fa-star" [ngClass]="{'checked': booking.ratingGivenByCustomer > 4}"></span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-xs-12 col-sm-3">
                      <div class="title-heading">
                        <span class="day-rate-wrap">{{formatDate(booking.endTime)}}</span>
                      </div>
                    </div>
                  </div>
                </div>

              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>
</div>
